import paho.mqtt.client as mqtt
 
#def on_connect(client, userdata, rc):
def on_connect(client,userdata, flags, rc):
    print("Connected with result code "+str(rc))
    client.subscribe("pi/sub2")
 
def on_message(client, userdata, msg):
     print(msg.topic+" "+str(msg.payload))
     client.publish("cloud/sub2", "received ok form cloud(localhost)", 0) 

client = mqtt.Client(protocol=mqtt.MQTTv311)

client.on_connect = on_connect
client.on_message = on_message
 
client.tls_set("/etc/ssl/certs/ca-certificates.crt")

client.username_pw_set("ユーザー名", "パスワード")
client.connect("driver.cloudmqtt.com", 28607)
 
client.loop_forever()